@mixin navLink {
    font-family: 'Roboto Condensed';
    font-weight: 700;
    font-size: 14px;
    line-height: 1;
    text-transform: uppercase;
    color: $darkgray;
    transition: 0.4s ease; 
    position: relative;
    cursor: pointer;
    &::after {
        display: block;
        position: absolute;
        background-color: $orange;
        top: 40px;
        left: 0;
        width: 0;
        height: 2px;
        content: "";
        transition: 0.4s ease; 
    }

    &:hover {
        transition: 0.4s ease; 
        color: $orange;
        &::after {
            width: 100%;
        }
    }

    &:focus {
        &::after {
            width: 100%;
        }
    }
}

@mixin moduleButton {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 700;
    font-size: 15px;
    line-height: 140%;
    text-transform: uppercase;
    cursor: pointer;
    color: $white;
    background-color: $orange;
    border: none;
    position: relative;
    z-index: 2;
    
    &::before{
        position: absolute;
        content: '';
        background-color: $black;
        transition: 0.8s ease; 
        top: 0;
        bottom: 0;
        right: 0;
        height: 100%;
        width: 2%;
        z-index: -1;
    }

    &:hover {
        &::before {
            width: 100%;
        }
    }
}

@mixin callbackButton {
    height: 40px;
    width: 160px;
   
    &::after {
        position: absolute;
        content: '';
        top: 0;
        bottom: 0;
        left: 0;
        height: 100%;
        width: 10%;
        z-index: 2;
        background: linear-gradient(-68deg,transparent 15px,#fff 0);
        
    }
}

@mixin headerText {
    font-family: 'Roboto';
    font-size: 13px;
    color: $darkgray;
    line-height: 1.9;
}

@mixin phoneLink{
    font-family: 'Roboto Condensed';
    font-size: 19px;
    color: $darkgray;
    line-height: 1.158;
    font-weight: 700;
}

@mixin navMenuTitle {
    font-family: 'Roboto Condensed';
    font-size: 14px;
    color: $darkgray;
    line-height: 1.571;
    text-transform: uppercase;  
}

@mixin dropdownLink {
    font-family: 'Roboto';
    font-size: 13px;
    color: $darkgray;
    line-height: 1.4;
    text-align: center;
}

@mixin crumb {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 130%;
    letter-spacing: 0.04em;
    color: $white;
}

@mixin mainTitle {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 400;
    font-size: 60px;
    line-height: 130%;
    text-transform: uppercase;
    color: $white;
}

@mixin middleTitle {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 44px;
    line-height: 130%;
    color: $darkgray;
} 

@mixin basicTitle {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 24px;
    line-height: 140%;
    color: $darkgray;
}

@mixin blockTitle {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 140%;
    color: $darkgray;
}

@mixin blockText {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    font-size: 16px;
    line-height: 160%;
    color: $gray;
}

@mixin mainPrice {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 32px;
    line-height: 140%;
    color: $orange;
    background: rgba(49, 52, 59, 0.8);
}

@mixin formText {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    font-size: 13px;
    line-height: 140%;
    text-align: center;
    color: $darkgray;
}

@mixin error {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    font-size: 13px;
    line-height: 140%;
    color: $orange;
}

@mixin sentForm {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 140%;
    color: $orange;
}

@mixin decorLine {
    width: 116px;
    height: 5px;
    background: $orange;
}

@mixin itemName {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: $gray;
}

@mixin itemValue {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 20px;
    color: $darkgray;
}

@mixin colorText {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 130%;
    color: $darkgray;
}

@mixin orderButton {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 140%;
    text-transform: uppercase;
    height: 60px;
    width: 185px;

    &:before {
        left: 0;
    }
}

@mixin orderPrice {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 28px;
    line-height: 140%;
    color: $red;
    background-color: $backgroundgray;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 60px;
    width: 185px;
    position: relative;

    &:after {
        position: absolute;
        content: url(../img/icon/poligon.png);
        bottom: -10px;
        left: -15px;
        z-index: 2;
    }
}

@mixin tabButton {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 700;
    font-size: 15px;
    line-height: 140%;
    text-transform: uppercase;
    color: $darkgray;
    background-color: $backgroundgray;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.4s ease;
    padding: 20px 30px;
    height: 60px;
    border: none;
    border-right: 1px solid $bordergray;
    border-top: 1px solid $bordergray;

    &:first-child {
        border-left: 1px solid $bordergray;
    }
}

@mixin cityLink {
    display: block;
    width: 150px;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    font-size: 15px;
    line-height: 190%;
    padding-bottom: 10px;
    color: $black;
    transition: 0.4s ease;

    &:hover {
        color: $orange;
        transform: rotate(2deg);
    }
}


@mixin tableTitle {
    width: 71px;
    height: 21px;
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 130%;
    color: $black;
}

@mixin tableSubtitle {
    width: 71px;
    height: 21px;
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 130%;
    color: $black;
}

@mixin tableText {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    font-size: 15px;
    line-height: 160%;
    color: $gray;
}

@mixin salesSlideName {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.571;
    letter-spacing: .01em;
    color: $darkgray; 
}

@mixin salesSlideValue {
    font-family: 'Roboto';
    font-style: normal;
    font-size: 18px;
    font-weight: 700;
    line-height: 1.222;
    text-decoration: none;
    color: $bordergray;
}

@mixin salesSlideButton {
    width: 125px;
    height: 40px;  
}

@mixin advantageTitle {
    font-family: 'Roboto Condensed';
    font-style: normal;
    font-size: 14px;
    font-weight: 700;
    line-height: 1.571;
    letter-spacing: .01em;
    color: $darkgray;
    text-transform: uppercase; 
}

@mixin advantageText {
    font-family: 'Roboto';
    font-style: normal;
    font-size: 13px;
    line-height: 1.7;
    letter-spacing: .05em;
    color: $darkgray;
} 

@mixin linkRequest {
    font-family: 'Roboto Condensed';
    font-size: 26px;
    line-height: 1.95;
    letter-spacing: .01em;
    color: $orange;
}

@mixin requestButton {
    height: 40px;
    width: 160px;
    font-size: 14px;
   
    &::after {
        position: absolute;
        content: '';
        top: 0;
        bottom: 0;
        left: 0;
        height: 100%;
        width: 10%;
        z-index: 2;
        background: linear-gradient(-68deg,transparent 15px, #ECECEC 0);
        
    }
}


@mixin columnTextLink {
    font-family: 'Roboto';
    font-style: normal;
    font-size: 13px;
    font-weight: 400;
    color: $darkgray;
    transition: 0.4s ease;

    &:hover {
        color: $orange;
    }

    &:not(:last-child) {
        margin-bottom: 10px;
    }
}

@mixin columnTitleLink {
    font-family: 'Roboto';
    font-style: normal;
    font-size: 14px;
    font-weight: 700;
    color: $darkgray;
    transition: 0.4s ease;
    margin-bottom: 12px;

    &:hover {
        color: $orange;
    }
}